tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

installation fails when using SU_CMD=su -...


I just noticed there is something wrong with SU_CMD: I cannot build
games/netmaj with "SU_CMD=sudo su - root -c" because the environment
variable OPSYS (among others, like HOST_OSTYPE, LOWER_OPSYS,
LOWER_OS_VERSION) is not known. 

Now that I searched for it, it looks like doc/pkgsrc.txt has recommended
"su root..." instead of "su - root..." since revision 1.1 from 2004.

Is my memory wrong when I think that "su - root..." has been supported
in the past?


Home | Main Index | Thread Index | Old Index